#include <windows.h> 
LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM); 
HINSTANCE g_hinst; 
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,PWSTR lpCmdLine, int nCmdShow)
{ 
HWND hwnd;
MSG msg ; 
WNDCLASSW wc = {0};
wc.lpszClassName = L"myclass";
wc.hInstance = hInstance ;
wc.hbrBackground = GetSysColorBrush(COLOR_3DFACE);
wc.lpfnWndProc = WndProc ;
wc.hCursor = LoadCursor(0,IDC_ARROW);
g_hinst = hInstance;
RegisterClassW(&wc);
hwnd = CreateWindowW(wc.lpszClassName,L"Combo Box",WS_OVERLAPPEDWINDOW | WS_VISIBLE, 100, 100, 270, 170, 0, 0, hInstance, 0); 
while( GetMessage(&msg, NULL, 0, 0)) {
DispatchMessage(&msg);
} 
return (int) msg.wParam;
} 
LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam) 
{ 
static HWND hwndCombo, hwndStatic;
const wchar_t *items[] = { L"Paris", L"London", L"Berlin", L"Rome" }; 
switch(msg) 
{
case WM_CREATE: 
//create combo box
hwndCombo = CreateWindowW(L"combobox", NULL, WS_CHILD | WS_VISIBLE | CBS_DROPDOWN,10, 10, 120, 110, hwnd, NULL, g_hinst, NULL); 
//create static control
hwndStatic = CreateWindowW(L"static", L"", WS_CHILD | WS_VISIBLE|WS_BORDER,150, 10, 90, 25, hwnd, NULL, g_hinst, NULL); 
int i; 
for (i = 0; i < 4; i++ ) 
{
//populate combo box
SendMessageW(hwndCombo, CB_ADDSTRING, 0, (LPARAM) items[i]);
} 
break; 
case WM_COMMAND:
//respond to combo box selection
if ( HIWORD(wParam) == CBN_SELCHANGE) { 
wchar_t strText[255] = L"\0";
//get position of selected item
LRESULT sel = SendMessageW(hwndCombo, CB_GETCURSEL, 0, 0);
//get selected item text
SendMessageW(hwndCombo,CB_GETLBTEXT, sel,(LPARAM)strText);
//set value of static bex to value selected in combo box
SetWindowTextW(hwndStatic, strText);
SetFocus(hwnd);
} break;
case WM_DESTROY: 
PostQuitMessage(0);
break; 
}
return DefWindowProcW(hwnd, msg, wParam, lParam);
}